<template>
  <div class="h-full flex flex-col sm:flex-row flex-nowrap sm:flex-wrap justify-center gap-16 sm:gap-0 sm:justify-around items-center">
    <card
        class="w-full sm:w-auto bg-gray-50 dark:bg-gray-900"
        v-for="card in cards"
        :key="card.title"
        :title="card.title"
        :subtitle="card.subtitle"
        :img-src="card.image"
        :img-alt="`Picture of ${card.title}`"
    >
      <router-link
          v-if="card.learnMore"
          :to="card.learnMore.to"
          class="
          transition
          duration-200
          border border-gray-200 dark:border-gray-300
          py-2
          px-5
          rounded-full
        "
          :class="card.learnMore.classes"
      >
        Learn More
      </router-link>
    </card>
  </div>
</template>

<script lang="ts">
import {defineComponent} from "vue";
import Card from "../components/Card.vue";
import ProfilePictureSascha from "../assets/profile_sascha.jpg";
import ProfilePicturePhillip from "../assets/profile_phillip.jpg";
import {RouteLocationRaw} from "vue-router";

interface HomeData {
  cards: Array<CardData>
}

interface CardData {
  title: string;
  subtitle: string;
  image: string;
  learnMore?: {
    to: RouteLocationRaw;
    classes: Array<string>;
  }
}

export default defineComponent({
  components: {Card},
  data(): HomeData {
    return {
      cards: [
        {
          title: "Sascha Hemleb",
          subtitle: "Full Stack Developer / SRE",
          image: ProfilePictureSascha,
          learnMore: {
            to: {name: "sascha"},
            classes: [
              'hover:border-blue-400',
              'hover:bg-blue-400',
              'hover:text-gray-100',
              'dark:hover:border-blue-900',
              'dark:hover:bg-blue-900',
              'dark:hover:text-gray-300',
            ]
          }
        },
        {
          title: "Phillip Hemleb",
          subtitle: "Full Stack Developer",
          image: ProfilePicturePhillip,
          learnMore: {
            to: {name: "phillip"},
            classes: [
              'hover:border-violet-400',
              'hover:bg-violet-400',
              'hover:text-gray-100',
              'dark:hover:border-violet-900',
              'dark:hover:bg-violet-900',
              'dark:hover:text-gray-300',
            ]
          }
        }
      ]
    }
  },
});
</script>

<style scoped></style>
